MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031548Open CASCADE[OCCT] OCCT:Visualizationpublic2020-05-05 01:192020-05-10 14:16
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031548: Visualization, SelectBasics_PickResult - include surface normal into picking details
DescriptionIn some cases it is desired to have surface (triangle) normal into picking details for processing picking results.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0091946)
git (administrator)
2020-05-05 01:48

Branch CR31548 has been created by kgv.

SHA-1: 95df8a28c4eb7e4054b239f9ab5a2556b67f6371


Detailed log of new commits:

Author: kgv
Date: Tue May 5 01:23:41 2020 +0300

    0031548: Visualization, SelectBasics_PickResult - include surface normal into picking details
    
    SelectMgr_SortCriterion::Normal, SelectBasics_PickResult::SurfaceNormal() - added new property.
    SelectMgr_RectangularFrustum::Overlaps() for triangle sets new normal property.
    gp_GTrsf::GetMat4() - added conversion into NCollection_Mat4 similar to gp_Trsf::GetMat4().
(0091958)
kgv (developer)
2020-05-06 00:20
edited on: 2020-05-06 01:29

Patch is ready for review in OCCT branch CR31548.

http://jenkins-test-12.nnov.opencascade.com/view/CR31548-master-KGV/ [^]

(0091966)
osa (developer)
2020-05-06 11:14

The patch was reviewed
(0091980)
bugmaster (administrator)
2020-05-07 10:50

Combination -
OCCT branch : WEEK-18
master SHA - b40cdc2b5584fdf78f90594a3c7469213c7dc4a6
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-18 SHA - f3160246a8ae8356b116065842ce354791652bb4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17165.480000000167 / 17147.810000000212 [+0.10%]
Products
Total CPU difference: 11271.100000000095 / 11280.480000000087 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18654.578125 / 18665.890625 [-0.06%]
Products
Total CPU difference: 13128.59375 / 13209.109375 [-0.61%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092044)
git (administrator)
2020-05-10 14:16

Branch CR31548 has been deleted by inv.

SHA-1: 95df8a28c4eb7e4054b239f9ab5a2556b67f6371

- Related Changesets
occt: master 2615c2d7
Timestamp: 2020-05-04 22:23:41
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031548: Visualization, SelectBasics_PickResult - include surface normal into picking details

SelectMgr_SortCriterion::Normal, SelectBasics_PickResult::SurfaceNormal() - added new property.
SelectMgr_RectangularFrustum::Overlaps() for triangle sets new normal property.
gp_GTrsf::GetMat4() - added conversion into NCollection_Mat4 similar to gp_Trsf::GetMat4().
mod - src/gp/gp_GTrsf.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_PickResult.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SortCriterion.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-05-05 01:19 kgv New Issue
2020-05-05 01:19 kgv Assigned To => kgv
2020-05-05 01:48 git Note Added: 0091946
2020-05-06 00:20 kgv Note Added: 0091958
2020-05-06 00:20 kgv Assigned To kgv => osa
2020-05-06 00:20 kgv Status new => resolved
2020-05-06 00:22 kgv Relationship added related to 0029384
2020-05-06 00:22 kgv Relationship replaced child of 0029384
2020-05-06 01:29 kgv Note Edited: 0091958 View Revisions
2020-05-06 11:14 osa Note Added: 0091966
2020-05-06 11:14 osa Assigned To osa => bugmaster
2020-05-06 11:14 osa Status resolved => reviewed
2020-05-07 10:50 bugmaster Note Added: 0091980
2020-05-07 10:50 bugmaster Status reviewed => tested
2020-05-07 10:55 bugmaster Test case number => Not required
2020-05-10 14:01 bugmaster Changeset attached => occt master 2615c2d7
2020-05-10 14:01 bugmaster Status tested => verified
2020-05-10 14:01 bugmaster Resolution open => fixed
2020-05-10 14:16 git Note Added: 0092044


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker